function [outs]=PDdelta(field,bins,deltax,fitregime)
dim=size(field);
if dim(2)>dim(1)
    field=field';
end
mx=max(field);
lam=length(field);
fr=circshift(field,deltax);
delfield=abs(fr-field);
mxx=max(delfield);
absnormfac=(1-2/pi)^0.5;
sd=std(delfield)/absnormfac;
nosd=mxx./sd;
probgauss=erfc(nosd/(2^0.5));
amp=1./(lam*probgauss);
limitgraph=log10(mxx);
x=(limitgraph-1.5):0.1:(limitgraph+0.5);
plot(log10(erfc((2.^-.5)*(10.^x)./sd)))
tdf=floor(bins*delfield(deltax+1:lam));
freq= circshift(SortTally(tdf)',1)';
f1=freq(:,1);
f2=freq(:,2);
rf1=f1(end:-1:1);
arf1=cumsum(rf1);
af1=arf1(end:-1:1);
pr=log(af1/(lam-deltax));
value=log(f2(2:length(f2)));
len=length(value);
for j=1:len;
pv1(j)=value(j)-log(bins);
pv2(j)=0.*value(j)+pr(j+1);
end
pv1=pv1/log(10);
pv2=pv2/log(10);
probval=[pv1;pv2];
figure
plot(pv1,pv2,'r.')
xlabel('Log_{10} s')
ylabel('Log_{10} Pr')
axis([min(pv1) max(pv1) min(pv2) 0])
leng=length(pv1)-fitregime;
en=probval(:,leng+1:length(probval));
ft=fit(en(1,:)',en(2,:)','poly1');
hold on
fplot(@(x) ft(x),[min(en(1,:)) max(en(1,:))],'c-')
set(findobj(gca, 'Type', 'Line', 'Color', 'c'),'LineWidth',3)
fplot(@(x) ft(x),[(min(pv1)+min(en(1,:)))/2+0.1 max(pv1)+0.1],'b-')
for k=1:fitregime-2
    fqd=fit(en(1,k:length(en(1,:)))',en(2,k:length(en(2,:)))','poly1');
    qD(k)=-fqd(1)+fqd(0);
end
figure
plot(1:length(qD),qD,'r.','Markersize',20)
xlabel('Number of points')
ylabel('qD')
qDed=qD';
outs={'maximum difference',mx;'standard deviation',sd;'ratio',nosd;'Gauss probability',probgauss;'Amp. of prob. of ext. value',amp;'qD',qDed};
end
 