function [ spectable ] = SpecAverage1D( field,deltaunits )
%If field is 2D, treats each row as a separate series, removing average of each
%deltaunits adjusts the freqeuncy axis so that the units are correct,
%deltatunits per data point input (i.e. = resolution of the input series)
[num,lamall]=size(field);
if lamall<num
    field=field'
end
[num,lamall]=size(field);
beta=0;
lam=2.*floor(lamall./2);
mnn=zeros(1,num);
for jj=1:num;
mn=mean(field(jj,:));
mnn(1,jj)=mn;
end
z=zeros(num,lam/2);
for kk=1:num;
    wind=Window1D(field(kk,:)-mnn(1,kk));
    Fourier=sqrt(length(wind)).*ifft(wind);
    tak=Fourier(2:lam/2+1);
    z(kk,:)=abs(tak);
end
if num==1;
    ftab=z./lam.^(1/2);
else
ftab=mean(z)./lam.^(1/2);
end
i=1:lam/2;
col1=log10(i);
col2=log10(i.^(beta).*(ftab(i).^2));
spectable=cat(1,col1,col2);
x=spectable(1,:);
y=spectable(2,:);
figure
plot(x,y)
set(gca,'FontSize',16);
xlabel('Log_{10}\omega')
ylabel('Log_{10}E(\omega)')
title('grspectable')

calib=-log10(deltaunits)-log10(lamall);
coor=x;
spp=y;
len=length(spectable(1,:));
mx=floor(10*log10(len))+1;
spave=zeros(1,mx);
numm=zeros(1,mx);
for j=1:len;
    ij=floor(10.*log10(j))+1;
    spave(1,ij)=spave(1,ij)+10.^spp(j);
    numm(1,ij)=numm(1,ij)+1;
end
cor=zeros(1,mx);
for k=1:9;
    cor(k)=log10(k)+calib;
    spave(k)=spp(k);
end
for l=10:mx;
    cor(l)=-0.1+(l/10)+calib;
    spave(l)=log10(spave(l)/numm(l));
end
spoutave=cat(1,cor,spave);
spoutave(:,10)=[];
xx=spoutave(1,:);
yy=spoutave(2,:);
%figure
%plot(xx,yy);
%xlabel('Log_{10}\omega')
%ylabel('Log_{10}E(\omega)')
%title('grspectave')

%figure
%scatter(xx,yy);
%xlabel('Log_{10}\omega')
%ylabel('Log_{10}E(\omega)')
%title('grspectavepoints')

xxx=coor+calib;
yyy=spp;
%figure
%plot(xxx,yyy)
%xlabel('Log_{10}\omega')
%ylabel('Log_{10}E(\omega)')
%title('grspecraw')

figure

hold on
scatter(xx,yy,'r','filled')
hold off
hold on
plot(xxx,yyy)
smc=plot(xx,yy,'r')
set(smc,'LineWidth',2);
hold off
set(gca,'FontSize',16);
xlabel('Log_{10}\omega')
ylabel('Log_{10}E(\omega)')
title('grout')
%produces spectra averaged over 10 bins per order magnitude
end

