function [TMed]=TraceMoment(field,Switch,low,high)
%field is the data series
%low and high specify the range of lambda values used for fit
%Switch specifies whether first order differences, second order
%differences, or no differences are to be used.
[num,dim]=size(field);
if dim<num
field=field';
end
[num,dim]=size(field);

qmax=21;
delq=0.1;
qeps=0.0001;
qtab=qeps:delq:delq*qmax+qeps-delq;
fac=1;%fac=2 for orbital data
points0=floor(20*log10((dim-0.001)/fac));
v=6:points0;

%Drops elements from ddelt
ddelt=floor(10.^(v/20));
ind=[3,4];
ddelt(ind)=[];
ind1=[4,5];
ddelt(ind1)=[];
ind2=6;
ddelt(ind2)=[];
ind3=7;
ddelt(ind3)=[];

points=length(ddelt);
coord=log10(dim./(fac*ddelt));
%coord is log10 values of lags, i.e the lambda values
moms=zeros(qmax,points);

for j=1:num,
for y=1:points,
    A=cumsum(double(Fluxall(field(j,:),Switch)));
delt=ddelt(y);
R=A(1:delt:dim);
Rdelt=circshift(R,[0,1]);
adelR=abs(R-Rdelt);
adelR(1)=[];
delR=adelR/delt;
a=delR.^(qeps);
c=delR.^0.1;
%Necessary for fields that have exactly zero values
z=zeros(qmax,length(a));
for k=0:qmax-1,
    z(k+1,:)=a.*c.^k;
end
zz=zeros(qmax,1);
for kk=1:qmax;
    zz(kk,:)=mean(z(kk,:));
end
moms(:,y)=zz;
end
end
moms=log10(moms./num);
norm=moms(11,:);
for q=1:qmax,
    for j=1:points,
moms(q,j)=moms(q,j)-(qtab(q).*norm(j));
    end
end

p=zeros(2,qmax);
for q=1:qmax
T=cat(1,coord,moms(q,:))';
take=T(low:high,1:2);
x=take(:,1);
y=take(:,2);
f=polyfit(x,y,1);
p(1,q)=f(1);
p(2,q)=f(2);
end

inter=p(2,:);
hqneg=p(1,:);
x=coord(high):coord(low);
%figure
%hold on
%for j=1:qmax,
 %   y=inter(j)+hqneg(j)*x;
  %  plot(x,y);
%end
%set(gca,'FontSize',16);
%hold off

%ColOrd=get(gca,'ColorOrder');
%[m,n]=size(ColOrd);
%hold on
%for k=1:qmax,
 %   ColRow=rem(k,m);
  %  if ColRow==0
   %     ColRow=m;
    %end
    %Col=ColOrd(ColRow,:);
    %T=cat(1,coord,moms(k,:))';
    %gr(k)=plot(T(:,1),T(:,2),'.','Color',Col);
    %xlabel('Log_{10} \lambda')
    %ylabel('Log_{10} M')
%end

%hold off
%axis normal
%Colors each line on the plot uniquely

%figure
%hold on
Q=1:qmax;
Kq=[qtab(Q);hqneg(Q)]
%grK=plot(Kq(1,:),Kq(2,:));
%set(gca,'FontSize',16);
%xlabel('q')
%ylabel('K(q)');

%hold off

tK=Kq';
ttK=tK(4:8,1:2);
ft=-polyfit(ttK(:,1),ttK(:,2),2);
H=ft(1)+ft(2)+ft(3);
C1=H-2*ft(1)-ft(2);
alpha=-2*ft(1)/C1;

TMed={'C1',C1;'alpha',alpha};
